#
# spec file for package python-acitoolkit
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global sname acitoolkit
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-acitoolkit
Version:        0.4
Release:        3.3
Summary:        Python library for programming ACI
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            http://github.com/datacenter/acitoolkit
Source:         https://github.com/datacenter/acitoolkit/archive/v%{version}.tar.gz
BuildRequires:  %{python_module Flask-Admin}
BuildRequires:  %{python_module Flask-Bootstrap}
BuildRequires:  %{python_module Flask-HTTPAuth}
BuildRequires:  %{python_module Flask-SQLAlchemy}
BuildRequires:  %{python_module Flask-WTF}
BuildRequires:  %{python_module Flask}
BuildRequires:  %{python_module GitPython}
BuildRequires:  %{python_module PyMySQL}
BuildRequires:  %{python_module graphviz}
BuildRequires:  %{python_module jsonschema}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pbr}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module tabulate}
BuildRequires:  %{python_module websocket-client > 0.33.0}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Flask
Requires:       python-Flask-Admin
Requires:       python-Flask-Bootstrap
Requires:       python-Flask-HTTPAuth
Requires:       python-Flask-SQLAlchemy
Requires:       python-Flask-WTF
Requires:       python-GitPython
Requires:       python-PyMySQL
Requires:       python-graphviz
Requires:       python-jsonschema
Requires:       python-requests
Requires:       python-tabulate
Requires:       python-websocket-client > 0.33.0
BuildArch:      noarch
%python_subpackages

%description
Python Library for configuring the Cisco Application Policy
Infrastructure Controller.

%prep
%setup -q -n acitoolkit-%{version}
chmod -x LICENSE

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} $python tests/acitoolkit_test.py offline

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/acitoolkit
%{python_sitelib}/acitoolkit-*.egg-info

%changelog
* Thu Nov  1 2018 jengelh@inai.de
- Fix RAS syndrome. Expand "APIC".
* Wed Oct 31 2018 tchvatal@suse.com
- Version update to 0.4 release:
  * Many various small fixes
  * Better python3 compatibility
- Remove merged acitoolkit-urlparse.patch
* Wed Oct 31 2018 tchvatal@suse.com
- Add patch to fix import error under py3:
  * acitoolkit-urlparse.patch
- Fix permissions on the LICENSE file
- State group properly
* Tue Oct 30 2018 tchvatal@suse.com
- Add remaining flask dependencies in order to be acceptable
  in Tumbleweed
* Thu Oct 18 2018 tchvatal@suse.com
- Respect the package requirements specified in setup.py
  * Adds many flask dep/requires
- Run the tests
* Tue Oct 16 2018 sma@suse.com
- Changed the spec file to singlespec format. Also removed
  duplicates in the RPM. And explicit set the permission of all
  files.
* Mon Oct 15 2018 sma@suse.com
- Corrected the spelling in .spec file: python-sqlalchemy should
  be python-SQLAlchemy.
* Wed Oct 10 2018 sma@suse.com
- License should be Apache-2.0 according to the LICENSE file
  in the v0.3.2.tar.gz tarball.
* Thu Dec 21 2017 mmnelemane@suse.com
- Fix Requires python-oslo.config
* Fri Aug 25 2017 mmnelemane@suse.com
- Initial packaging for ACI firmware 2.2.2
